# Draw
TKTopTest
HLRTest

# HLRTest_OutLiner Class Reference

`#include <HLRTest_OutLiner.hxx>`

Inheritance diagram for HLRTest_OutLiner:

[legend]

## Public Member Functions

Standard_EXPORT | HLRTest_OutLiner (const TopoDS_Shape &S)
Handle_HLRTopoBRep_OutLiner | OutLiner () const
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
| Does nothhing, .
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. Set as a result the type of the variable. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_HLRTopoBRep_OutLiner | myOutLiner

## Constructor & Destructor Documentation

Standard_EXPORT HLRTest_OutLiner::HLRTest_OutLiner | ( | const TopoDS_Shape & | S | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_Draw_Drawable3D HLRTest_OutLiner::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT void HLRTest_OutLiner::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

virtual Standard_EXPORT void HLRTest_OutLiner::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT const HLRTest_OutLiner::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

Handle_HLRTopoBRep_OutLiner HLRTest_OutLiner::OutLiner | ( |  | ) | const

virtual Standard_EXPORT void HLRTest_OutLiner::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

## Field Documentation

Handle_HLRTopoBRep_OutLiner HLRTest_OutLiner::myOutLiner `[private]`

The documentation for this class was generated from the following file:

- HLRTest_OutLiner.hxx